@import url("./root.css");

body{
    height: 100%;
    overflow-x: hidden;
}

main{
    height: 100%;
    padding: 10px;
    display: flex;
    flex-direction: column;
}

#courses{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#hello{
    align-self: center;
    font-size: 2.5em;
    margin-bottom: 1.5em;
}

.course{
    width: 70%;
    height: 150px;
    display: flex;
    align-items: center;
    flex-direction: row;
    padding: 20px;
    border: 1px solid var(--primary);
    border-radius: 10px;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.8);
    transition: box-shadow .5s ease;
    margin-bottom: 2em;
}

.course:hover{
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.8);
}

.info{
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 40%;
    height: 100%;
}

.info hr {
    border-color: var(--primary);
}

.learn{
    width: 60%;
    height: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px;
}

.playButton{
    position: relative;
    border: 1px solid var(--border);
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: .8em;
    aspect-ratio: 1 / 1;
    height: 4em;
    width: 4em;
    transition: width .5s ease-in-out, height .5s ease-in-out;
}

.playButton:hover{
    background-color: var(--highlight);
}

.playButton > a{
    cursor: pointer;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    border-radius: .8em;
}

.currentPlayButton{
    display: flex !important;
    width: 100% !important;
    height: 100% !important;
    gap: 10px;
    justify-content: space-around;
}

.introText{
    display: none;
    font-size: .9em;
}

.title{
    font-size: 1.8em;
    color: var(--text);
}

.intro{
    font-size: .7em;
    color: var(--text-muted);
    margin-top: 5px;
}



